//
// $Id: load_shader.h 43 2011-01-10 05:21:09Z bambooflow $
// $Rev: 43 $
// $Author: bambooflow $
//
#ifndef __LOAD_SHADER_H_
#define __LOAD_SHADER_H_

#include <GL/glew.h>
#include <GL/gl.h>

GLuint loadShaderFromFile(GLenum type, const char *fileName);
GLuint loadShader(GLenum type, const char *str, const char* fileName="");
GLuint createProgram(const char* vsName, const char* fsName);
GLuint createProgram(GLuint vertexShader, GLuint fragmentShader);

#endif // __LOAD_SHADER_H_

